# ipeqt::PanTool Class Reference
[Ipe Qt canvas]

A tool for panning the canvas. More...

`#include <ipetool.h>`

Inherits ipeqt::Tool.

List of all members.

## Public Member Functions

- PanTool (Canvas *canvas, const Page *page, int view)
- virtual void draw (Painter &painter) const
- virtual void mouseButton (int button, bool press)
- virtual void mouseMove (int button)

## Detailed Description

A tool for panning the canvas.

## Constructor & Destructor Documentation

PanTool::PanTool | ( | Canvas * | canvas,
|  | const Page * | page,
|  | int | view |
| ) |  |  |

## Member Function Documentation

void PanTool::draw | ( | Painter & | painter | ) | const`[virtual]`

Implements ipeqt::Tool.

void PanTool::mouseButton | ( | int | button,
|  | bool | press |
| ) |  |  | `[virtual]`

Reimplemented from ipeqt::Tool.

void PanTool::mouseMove | ( | int | button | ) | `[virtual]`

Reimplemented from ipeqt::Tool.

The documentation for this class was generated from the following files:

- ipetool.h
- ipetool.cpp